/***************************************************************************
*   Copyright (C) 2003 by Hideki Ikemoto                                  *
*   ikemo@users.sourceforge.jp                                            *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
***************************************************************************/

#ifndef _KITASUBJECTVIEW_H_
#define _KITASUBJECTVIEW_H_

#include <qwidget.h>
#include <kurl.h>
#include "threadlistview.h"
#include "libkita/board.h"

class KListViewItem;

/**
 *
 * @author Hideki Ikemoto <ikemo@users.sourceforge.jp>
 **/
class KitaSubjectView : public Kita::ThreadListView
{
    Q_OBJECT

public:
    KitaSubjectView( QWidget* parent, const char* name = 0 );
    ~KitaSubjectView();
    const KURL boardURL();
    const QString boardName();

public slots:
    virtual void setFocus();
    void slotFocusSearchCombo(); 
    void reloadSubject();
    void slotCreateNewThread();
    void loadBoard( const QString& boardURL );
    void setFont( const QFont& font );
    void slotUpdateSubject( const KURL& url );

private:
    QString m_boardURL;
    int m_unreadNum, m_readNum, m_newNum;
    void UpdateKindLabel();
    void deleteLog( const KURL& url );

private slots:
    void loadThread( QListViewItem* item );
    void slotContextMenuRequested( QListViewItem*, const QPoint&, int );
    void slotCloseButton();

signals:
    void loadBoardCompleted( const KURL& );
    void closeThreadTab( const KURL& );
    void createNewThread( const KURL& , const QString&, const QString& );    
    void closeCurrentTab();
};

#endif
