/***************************************************************************
*   Copyright (C) 2003 by Hideki Ikemoto                                  *
*   ikemo@users.sourceforge.jp                                            *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
***************************************************************************/

#ifndef FAVORITETHREADS_H
#define FAVORITETHREADS_H

#include <kurl.h>

#include <qmap.h>
#include <qxml.h>
#include <qptrlist.h>
#include <qdict.h>

#include "thread.h"

class QDomNode;

/**
@author Hideki Ikemoto
*/
class FavoriteThreads
{
    static FavoriteThreads* instance;
    QValueList<QString> m_threadList;
    FavoriteThreads();
    ~FavoriteThreads();
public:
    static FavoriteThreads* getInstance();
    void insert( const QString& datURL );
    void remove( const QString& datURL );
    static bool contains( const QString& datURL );
    const QValueList<QString> threadList() const;
    const QString toXML() const;
    static bool readFromXML( const QString& xml );
    static void processThreadNode( QDomNode& node );
    static bool processBoardNode( QDomNode& node );
    static void replace( QString fromURL, QString toURL );
};

#endif
