/***************************************************************************
*   Copyright (C) 2003 by Hideki Ikemoto                                  *
*   ikemo@wakaba.jp                                                       *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
***************************************************************************/

#ifndef KITAKITA_MISC_H
#define KITAKITA_MISC_H

#include <qstring.h>

class KURL;

namespace Kita
{
    enum {
        Board_MachiBBS,
        Board_JBBS,
        Board_2ch
    };

    /**
     * @author Hideki Ikemoto
     */

    QString datToBoard( const KURL& datURL );
    QString datToThread( const KURL& datURL );
    QString boardToSubject( const KURL& boardURL );
    QString subjectToBoard( const KURL& subjectURL );
    QString datToCache( const KURL& datURL );
    QString httpToK2ch( const KURL& httpURL );
    QString unescape( const QString& str );
    int boardType( const KURL& url );
    uint datToSince( const KURL& datURL );
    QString datToOfflaw( const KURL& datURL );
    bool is2ch( const KURL& url );
    QString parse_machibbs_dat( const QString& datStr );
}

#endif
