/***************************************************************************
*   Copyright (C) 2004 by Kita Developers                                 *
*   ikemo@users.sourceforge.jp                                            *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
***************************************************************************/
#include "threadindex.h"

#include <kconfig.h>

#include "cache.h"

using namespace Kita;

QString ThreadIndex::getSubject( const KURL& datURL )
{
    QString indexPath = Kita::Cache::getIndexPath( datURL );
    KConfig config( indexPath );
    return config.readEntry( "Subject" );
}

void ThreadIndex::setSubject( const KURL& datURL, const QString& str )
{
    QString indexPath = Kita::Cache::getIndexPath( datURL );
    KConfig config( indexPath );
    config.writeEntry( "Subject", str );
}

int ThreadIndex::getResNum( const KURL& datURL )
{
    QString indexPath = Kita::Cache::getIndexPath( datURL );
    KConfig config( indexPath );
    return config.readNumEntry( "ResNum" );
}

void ThreadIndex::setResNum( const KURL& datURL, int resNum )
{
    QString indexPath = Kita::Cache::getIndexPath( datURL );
    KConfig config( indexPath );
    config.writeEntry( "ResNum", resNum );
}

int ThreadIndex::getViewPos( const KURL& datURL )
{
    QString indexPath = Kita::Cache::getIndexPath( datURL );
    KConfig config( indexPath );
    return config.readNumEntry( "ViewPos" );
}

void ThreadIndex::setViewPos( const KURL& datURL, int viewPos )
{
    QString indexPath = Kita::Cache::getIndexPath( datURL );
    KConfig config( indexPath );
    config.writeEntry( "ViewPos", viewPos );
}
